php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #16752 Configure failed with GD since 4.2.0
Submitted: 2002-04-23 08:25 UTC Modified: 2002-04-30 07:19 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:0 of 0 (0.0%)
From: mad at dactar dot ch Assigned:
Status: Closed Package: GD related
PHP Version: 4.2.0 OS: HP-UX 11.00
Private report: No CVE-ID: None
 [2002-04-23 08:25 UTC] mad at dactar dot ch
Configure failed with GD since 4.2.0 (--with-gd and with-gd=/blabla/blabla)

4.1.2

...
checking for jpeg_read_header in -ljpeg... yes
checking for the location of libpng... yes
checking for png_info_init in -lpng... yes
checking for the location of libXpm... yes
checking for XpmFreeXpmImage in -lXpm... yes
checking for freetype(2)... no
If configure fails try --with-freetype-dir=<DIR>
checking whether to include include FreeType 1.x support... yes
checking whether to include T1lib support... no
checking for gdImageString16 in -lgd... yes
checking for gdImagePaletteCopy in -lgd... yes
checking for gdImageCreateFromPng in -lgd... yes
checking for gdImageCreateFromGif in -lgd... no
checking for gdImageGif in -lgd... no
checking for gdImageWBMP in -lgd... yes
checking for gdImageCreateFromJpeg in -lgd... yes
...

4.2.0

...
checking for jpeg_read_header in -ljpeg... yes
checking for the location of libpng... yes
checking for png_write_image in -lpng... yes
checking for the location of libXpm... yes
checking for XpmFreeXpmImage in -lXpm... yes
checking for freetype(2)... no
If configure fails try --with-freetype-dir=<DIR>
checking for FreeType 1.x support... yes
checking for T1lib support... no
configure: error: Unable to find libgd.(a|so) anywhere under /PKl01h01/soft/web

@++
JC

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-04-23 08:43 UTC] derick@php.net
Please add your full configure line.

Derick
 [2002-04-23 11:45 UTC] mad at dactar dot ch
./configure --with-config-file-path=/PKl01h01/soft/web/cfg --without-mysql --with-sybase-ct=/PKl01he2/soft/ase12.0/OCS-12_0 --with-pdflib=/PKl01h01/soft/web --with-zl
ib-dir=/PKl01h01/soft/web --with-png-dir=/PKl01h01/soft/web --with-ttf=/PKl01h01/soft/web --with-jpeg-dir=/PKl01h01/soft/web --with-xpm-dir=/PKl01h01/soft/web --with-
ming=/PKl01h01/soft/web --with-gd --prefix=/PKl01h01/soft/web --with-apxs=/PKl01h01/soft/web/apache/bin/apxs
 [2002-04-23 19:19 UTC] sniper@php.net
Please check config.log for more information why it fails.
Also, where is the libgd.a (or libgd.so) located in your system?

 [2002-04-24 07:00 UTC] mad at dactar dot ch
in config.log there's only "configure:28215: error: Unable to find libgd.(a|so) anywhere under /PKl01h01/soft/web"

libgd.sl and libgd.a are together in /PKl01h01/soft/web/lib

(create a symbolic link libgd.so -> libgd.sl doesn't solve the problem.)

@++
JC
 [2002-04-24 11:13 UTC] sniper@php.net
What if you use this instead of empty path:

--with-gd=/PKl01h01/soft/web/

??

(The error message is not correct, there was wrong variable
used in it, which I have fixed in CVS.)

--Jani

 [2002-04-25 08:06 UTC] mad at dactar dot ch
It's the same if I specified the directory (as mentionned in the description of this bug)

@++
JC
 [2002-04-25 21:43 UTC] sniper@php.net
Where is gd.h in your system?

 [2002-04-26 13:55 UTC] mad at dactar dot ch
gd.h is in /PKl01h01/soft/web/include
 [2002-04-28 20:14 UTC] sniper@php.net
Are you sure nothing else has changed in your system
since the time you compiled 4.1.2? 

What does 'ls -l /PKl01h01/soft/web/include/gd.h' output?
What does 'ls -l /PKl01h01/soft/web/lib/libgd.a' output?

Are you sure you don't have GD installed elsewhere in your
system? (find / -name gd.h)

--Jani

 [2002-04-29 06:49 UTC] mad at dactar dot ch
> Are you sure nothing else has changed in your system
> since the time you compiled 4.1.2? 

yes and I can recompile php 4.1.2 now without error

> What does 'ls -l /PKl01h01/soft/web/include/gd.h' output?

-rwxr-x---   1 ahpl0101   hpl01100      9326 Mar 27  2001 /PKl01h01/soft/web/include/gd.h

> What does 'ls -l /PKl01h01/soft/web/lib/libgd.a' output?

-rwxr-x---   1 ahpl0101   hpl01100    237858 Mar 27  2001 /PKl01h01/soft/web/lib/libgd.a

'find / -name gd.h 2> /dev/null' output is :

/PKl01h01/soft/web/include/gd.h 

@++
JC
 [2002-04-29 16:02 UTC] sniper@php.net
1. Get 
http://snaps.php.net/php4-STABLE-latest.tar.gz
2. Replace the configure file in it with this:
http://www.edin.dk/php/configure.gz

3. Try this configure line:

./configure --without-mysql --with-zlib-dir=/PKl01h01/soft/web --with-png-dir=/PKl01h01/soft/web
--with-ttf=/PKl01h01/soft/web --with-jpeg-dir=/PKl01h01/soft/web
--with-xpm-dir=/PKl01h01/soft/web
--with-gd=/PKl01h01/soft/web


 [2002-04-30 06:39 UTC] mad at dactar dot ch
hellow, it works (with and without your configure file)

This bug can be closed.

Thanks

@++
JC
 [2002-04-30 06:50 UTC] sniper@php.net
But does it work with the full configure line you have used?
And was it the latest STABLE snapshot which fixed it?

--Jani

 [2002-04-30 06:59 UTC] mad at dactar dot ch
I've must changed --with-gd by --with-gd=/PKl01h01/soft/web in my full configure line. I don't know why but now it works with 4.2.0 and latest stable snapshot. Before with --with-gd=/PKl01h01/soft/web I've got the error and not now anymore...I don't understand nothing has changed in the system.

...but it works now :)
Thanks, JC.
 [2002-04-30 07:19 UTC] sniper@php.net
Okay. Closing then. Might have been some permission
thing maybe?

--Jani

 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Fri Sep 24 09:03:36 2021 UTC